package com.persagy;

import com.github.dadiyang.autologging.aop.annotation.AutoLogAll;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.util.Scanner;

@SpringBootApplication
@EnableScheduling
@AutoLogAll
public class ZktProjectAlarmApplication {

    public static void main(String[] args) {
        SpringApplication.run(ZktProjectAlarmApplication.class, args);
    }

//    public static void main(String[] args) {
//        Scanner scanner = new Scanner(System.in);
//        String port = scanner.nextLine();
//        new SpringApplicationBuilder(ZktProjectAlarmApplication.class)
//                .properties("server.port=" + port).run(args);
//    }
}
